ResolvedModule (Java SE 26 & JDK 26)
Description: declaration: module: java.base, package: java.lang.module, class: ResolvedModule
Keywords: java.lang.module.ResolvedModule class

# Class ResolvedModule

java.lang.Object
java.lang.module.ResolvedModule

public final class ResolvedModule extends Object
A module in a graph of resolved modules.

`ResolvedModule` defines the `configuration` method to get the configuration that the resolved module is in. It defines the `reference` method to get the reference to the module's content.

Since:
  9
See Also:
  - `Configuration.modules()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Configuration`
  `configuration()`
  Returns the configuration that this resolved module is in.
  `boolean`
  `equals(Object ob)`
  Tests this resolved module for equality with the given object.
  `int`
  `hashCode()`
  Computes a hash code for this resolved module.
  `String`
  `name()`
  Returns the module name.
  `Set<ResolvedModule>`
  `reads()`
  Returns the set of resolved modules that this resolved module reads.
  `ModuleReference`
  `reference()`
  Returns the reference to the module's content.
  `String`
  `toString()`
  Returns a string describing this resolved module.

  ### Methods declared in class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Method Details

  - ### configuration

    public Configuration configuration()
    Returns the configuration that this resolved module is in.
    Returns:
      The configuration that this resolved module is in

  - ### reference

    public ModuleReference reference()
    Returns the reference to the module's content.
    Returns:
      The reference to the module's content

  - ### name

    public String name()
    Returns the module name. This convenience method is the equivalent to invoking:

            reference().descriptor().name()

    Returns:
      The module name

  - ### reads

    public Set<ResolvedModule> reads()
    Returns the set of resolved modules that this resolved module reads. The readability relation is reflexive (every module reads itself). The set of resolved modules returned by this method does not include itself.
    Returns:
      A possibly-empty unmodifiable set of resolved modules that this resolved module reads

  - ### hashCode

    public int hashCode()
    Computes a hash code for this resolved module.

    The hash code is based upon the components of the resolved module and satisfies the general contract of the `Object.hashCode` method.

    Overrides:
      `hashCode` in class `Object`
    Returns:
      The hash-code value for this resolved module
    See Also:
      - `Object.equals(java.lang.Object)`
      - `System.identityHashCode(Object)`

  - ### equals

    public boolean equals(Object ob)
    Tests this resolved module for equality with the given object.

    If the given object is not a `ResolvedModule` then this method returns `false`. Two `ResolvedModule` objects are equal if they are in the same configuration and have equal references to the module content.

    This method satisfies the general contract of the `Object.equals` method.

    Overrides:
      `equals` in class `Object`
    Parameters:
      `ob` - the object to which this object is to be compared
    Returns:
      `true` if, and only if, the given object is a module reference that is equal to this module reference
    See Also:
      - `Object.hashCode()`
      - `HashMap`

  - ### toString

    public String toString()
    Returns a string describing this resolved module.
    Overrides:
      `toString` in class `Object`
    Returns:
      A string describing this resolved module